### File

`packages/ecl/components/ecl-social-media-follow/ecl-social-media-follow-link.directive.ts`

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclSocialMediaFollowLink]`

### Index

###### Properties
eclIcon
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclIcon
Type : `EclIconComponent`
Decorators : `@ContentChild(EclIconComponent)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""